package ru.ulstu.report.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import ru.ulstu.aspirant.service.AspirantService;
import ru.ulstu.indicator.service.IndicatorService;
import ru.ulstu.report.model.dto.ReportValueDto;
import ru.ulstu.report.service.ReportPeriodService;
import ru.ulstu.report.service.ReportService;

@Controller
@RequestMapping("report-value")
public class ReportValueController {
    private final IndicatorService indicatorService;
    private final AspirantService aspirantService;
    private final ReportService reportService;
    private final ReportPeriodService reportPeriodService;

    public ReportValueController(IndicatorService indicatorService,
                                 AspirantService aspirantService,
                                 ReportService reportService,
                                 ReportPeriodService reportPeriodService) {
        this.indicatorService = indicatorService;
        this.aspirantService = aspirantService;
        this.reportService = reportService;
        this.reportPeriodService = reportPeriodService;
    }

    @GetMapping("edit-report-value/{reportId}/{indicatorId}")
    public String getReportPeriods(@PathVariable("reportId") Integer reportId,
                                   @PathVariable("indicatorId") Integer indicatorId,
                                   Model model) {
        model.addAttribute("reportValue", new ReportValueDto(reportId, indicatorService.getIndicatorById(indicatorId)));
        return "report/editReportValue";
    }
}
